# Generated by Django 5.2.1 on 2025-05-19 06:55

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='StripeProduct',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Product name as shown to customers', max_length=255, verbose_name='Name')),
                ('description', models.TextField(blank=True, help_text='Product description', verbose_name='Description')),
                ('active', models.BooleanField(default=True, help_text='Whether this product is available for purchase', verbose_name='Active')),
                ('price', models.DecimalField(decimal_places=2, help_text='Product price', max_digits=10, validators=[django.core.validators.MinValueValidator(0)], verbose_name='Price')),
                ('currency', models.CharField(default='USD', help_text='Price currency (ISO 4217 code)', max_length=3, verbose_name='Currency')),
                ('interval', models.CharField(choices=[('month', 'Monthly'), ('year', 'Yearly'), ('one-time', 'One Time')], default='month', help_text='Billing interval for subscription products', max_length=20, verbose_name='Billing Interval')),
                ('display_order', models.IntegerField(default=0, help_text='Order in which to display this product', verbose_name='Display Order')),
                ('stripe_id', models.CharField(help_text='Stripe product ID', max_length=255, unique=True, verbose_name='Stripe ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created At')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated At')),
            ],
            options={
                'verbose_name': 'Stripe Product',
                'verbose_name_plural': 'Stripe Products',
                'ordering': ['display_order', 'name'],
                'indexes': [models.Index(fields=['stripe_id'], name='stripe_mana_stripe__9f5fe4_idx'), models.Index(fields=['active'], name='stripe_mana_active_4a0768_idx'), models.Index(fields=['display_order'], name='stripe_mana_display_da36ef_idx')],
            },
        ),
    ] 